void main( void )
{
}

void talk( void )
{
 freeze(1);
 freeze(&current_sprite);
 if (&story > 10)
 {
  say_stop("你好啊，小妹妹 ..", 1);
  wait(250);
  say_stop("`1谢谢你先生，谢谢你让我们大家有东西吃。", &current_sprite);
  wait(250);
  say_stop("你太客气了。", 1);
  unfreeze(1);
  unfreeze(&current_sprite);
  return;
 }
 choice_start()
 "打招呼"
 "询问关于食物的问题"
 "不管了"
 choice_end()
  if (&result == 1)
  {
  say_stop("你好啊，小妹妹 ..", 1);
   wait(250);
   say_stop("`1你好，先生。", &current_sprite);
  }
  if (&result == 2)
  {
   say_stop("小妹妹，你们有什么可以吃的吗？", 1);
   wait(250);
   say_stop("`1最近都没什么可以吃的，妈妈说不能吃那么多，", &current_sprite);
   say_stop("`1都是因为那些鸭子。", &current_sprite);
   wait(250);
   say_stop("`1我讨厌他们。", &current_sprite);
   wait(250);
   say_stop("不要紧，那叔叔给你吃棒棒糖啊。",1);   
   wait(250);
  }
 unfreeze(1);
 unfreeze(&current_sprite);
}

void hit( void )
{
 say_stop("`2不要啊，先生！", &current_sprite);
}
